program sub64tst;

%include clunk.typ;

var
  value1,value2,result	: clunk_type;
  ids : integer;

%include sub64.ext;

begin
  write('Enter value1[1..4]:');
  readln(value1[1],value1[2],value1[3],value1[4]);
  write('Enter value2[1..4]:');
  readln(value2[1],value2[2],value2[3],value2[4]);
  
  sub64(value1,value2,result,ids);

  writeln('ids:',ids);
  writeln('Value1:',value1[1],value1[2],value1[3],value1[4]);
  writeln('Value2:',value2[1],value2[2],value2[3],value2[4]);
  writeln('Result:',result[1],result[2],result[3],result[4]);

end.
